Subject: Re: [PATCH 0/2] oprofile support for ppc750

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 07 Jan 2009 13:52:34 +1100

On Tue, 2009-01-06 at 14:55 +0200, Octavian Purdila wrote:
> Adds oprofile support for ppc750. ppc750 performance counters
> interface is similar with G4, but it only has 4 performance counters
> instead of 6.
> 
> I tested this on a PPC750GX and it seems to work fine. 

I'm not too sure about using the same model as 74xx... I have some
patches that haven't been released yet from Jack Miller to implement the
full OP support for 750 but they appear to cause crashes.

There is a known HW bug in various 750's that basically make the
performance interrupt unuseable. I -think- it may have been fixed in the
very latest revision of the 750CL though but I'm not sure.

Cheers,
Ben.